package com.example.animationpractice;

import androidx.appcompat.app.AppCompatActivity;

import android.animation.Animator;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.annotation.SuppressLint;
import android.os.Bundle;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {

    Button fadeButton;
    Button scaleButton;

    TextView loadingText;

    @SuppressLint("ClickableViewAccessibility")
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        loadingText = (TextView) findViewById(R.id.loadingText);
        loadingText.setText("Loading...");
        loadingText.setTextSize(20);
        ObjectAnimator anim = ObjectAnimator.ofFloat(loadingText, "alpha", 0f, 1f);
        anim.setDuration(3000);
        anim.start();
        anim.setRepeatCount(5);




        fadeButton = findViewById(R.id.fadeButton);
        fadeButton.setOnClickListener(new View.OnClickListener() {
            public void onClick(View view) {
                ObjectAnimator.ofFloat(fadeButton, "alpha", 1f).setDuration(100).start();

            }
        });

        scaleButton = findViewById(R.id.scaleButton);
        scaleButton.setOnTouchListener(new View.OnTouchListener() {
            @Override
            public boolean onTouch(View v, MotionEvent event) {
                switch (event.getAction()) {
                    case MotionEvent.ACTION_DOWN:

                        ObjectAnimator scaleDownX = ObjectAnimator.ofFloat(scaleButton, "scaleX", 0.6f);
                        ObjectAnimator scaleDownY = ObjectAnimator.ofFloat(scaleButton, "scaleY", 0.6f);

                        scaleDownX.setDuration(500);
                        scaleDownY.setDuration(500);

                        scaleDownX.start();
                        scaleDownY.start();

                        break;

                    case MotionEvent.ACTION_UP:

                        ObjectAnimator scaleUpX = ObjectAnimator.ofFloat(scaleButton, "scaleX", 1f);
                        ObjectAnimator scaleUpY = ObjectAnimator.ofFloat(scaleButton, "scaleY", 1f);

                        scaleUpX.setDuration(500);
                        scaleUpY.setDuration(500);

                        scaleUpX.start();
                        scaleUpY.start();
                        break;
                }
                return true;
            }
        });
    }
}



